Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.velocity.components
Class FileDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.struts2.views.velocity.components.AbstractDirective
              org.apache.struts2.views.velocity.components.FileDirective

All Implemented Interfaces:
  Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

    public class FileDirective

extends AbstractDirective

See Also:
  `File`

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`FileDirective()`

Method Summary
`protected Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`String` | `getBeanName()`

Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective
`createPropertyMap, getName, getType, putProperty, render`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, init, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDirective

    public FileDirective()

Method Detail

### getBean

    protected Component getBean(ValueStack stack,
                                HttpServletRequest req,
                                HttpServletResponse res)

  Specified by:
    `getBean` in class `AbstractDirective`

### getBeanName

    public String getBeanName()

  Specified by:
    `getBeanName` in class `AbstractDirective`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.